- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_PSDL_OctetSeq Class Reference

This class facilitates implementation of Persistent Service. Helps perform the bind and find to the hash_map and to make the data persistent. More...

`#include <PSDL_OctetSeq.h>`

Collaboration diagram for TAO_PSDL_OctetSeq:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_OctetSeq (void)
| Constructor.
| TAO_PSDL_OctetSeq (ACE_Allocator *persistent_allocator)
| Constructor.
| TAO_PSDL_OctetSeq (const TAO_PSDL_OctetSeq &rhs)
| Copy constructor.
| ~TAO_PSDL_OctetSeq (void)
| Destructor.
void | operator= (const TAO_PSDL_OctetSeq &rhs)
| Assignment operator.
void | operator= (const CORBA::OctetSeq &rhs)
| operator CORBA::OctetSeq * () const
| operator CORBA::OctetSeq * ()
## Public Attributes
ACE_Allocator * | allocator_
CORBA::Octet * | buffer_
CORBA::ULong | length_

## Detailed Description

This class facilitates implementation of Persistent Service. Helps perform the bind and find to the hash_map and to make the data persistent.

## Constructor & Destructor Documentation

TAO_PSDL_OctetSeq::TAO_PSDL_OctetSeq | ( | void |  | ) |

Constructor.

TAO_PSDL_OctetSeq::TAO_PSDL_OctetSeq | ( | ACE_Allocator * | persistent_allocator | ) |

Constructor.

TAO_PSDL_OctetSeq::TAO_PSDL_OctetSeq | ( | const TAO_PSDL_OctetSeq & | rhs | ) |

Copy constructor.

TAO_PSDL_OctetSeq::~TAO_PSDL_OctetSeq | ( | void |  | ) |

Destructor.

## Member Function Documentation

TAO_PSDL_OctetSeq::operator CORBA::OctetSeq * | ( |  | ) |

TAO_PSDL_OctetSeq::operator CORBA::OctetSeq * | ( |  | ) | const

void TAO_PSDL_OctetSeq::operator= | ( | const CORBA::OctetSeq & | rhs | ) |

void TAO_PSDL_OctetSeq::operator= | ( | const TAO_PSDL_OctetSeq & | rhs | ) |

Assignment operator.

## Member Data Documentation

ACE_Allocator* TAO_PSDL_OctetSeq::allocator_

CORBA::Octet* TAO_PSDL_OctetSeq::buffer_

CORBA::ULong TAO_PSDL_OctetSeq::length_

The documentation for this class was generated from the following files:

- PSDL_OctetSeq.h
- PSDL_OctetSeq.cpp